Mise à niveau des bases systèmes SharePoint

L’avertissement « Databases running in compatibility range, upgrade recommended » est apparu dans l’Administration centrale.
Databases running in compatibility range, upgrade recommended
Dans notre cas, seules les bases de données systèmes (par différences avec les bases de données de contenu) sont concernées. Ce message s’est affiché après l’application d’un CU (Cumulative Update). Il aurait pu aussi apparaître à la suite d’un Hotfix pour SharePoint.

Bases de données systèmes

L’avertissement concernant les bases de données systèmes, il a pu être supprimé grâce à la commande Psconfig.exe.

Dans une invite de commande, exécutée en tant qu’administrateur:
PSConfig.exe -cmd upgrade -inplace b2b -force -cmd applicationcontent -install -cmd installfeatures
PSConfig.exe -cmd upgrade -inplace b2b -force -cmd applicationcontent -install -cmd installfeatures

Bases de données utilisateur

Lorsque l’avertissement concerne les bases de données de contenu des utilisateurs, la commande PowerShell à utiliser est Upgrade-SPContentDatabase.

Par exemple, si la base WSS_Content (base de données de contenu) est concernée, la commande à exécuter en tant qu’administrateur dans SharePoint 2010 Management Shell est:
$db = Get-SPDatabase | Where-Object {$_.Name -match « WSS_Content »}
Upgrade-SPContentDatabase -Identity $db

Laisser un commentaire

Votre adresse de messagerie ne sera pas publiée. Les champs obligatoires sont indiqués avec *